# This file was generated by running 'miaxml2nipype.py /build/mia-A9U4XL/mia-2.4.6/obj-x86_64-linux-gnu/doc/mia-2deval-transformquantity.xml /build/mia-A9U4XL/mia-2.4.6/obj-x86_64-linux-gnu/src/mia_2deval_transformquantity.py'
# '/build/mia-A9U4XL/mia-2.4.6/obj-x86_64-linux-gnu/src/mia_2deval_transformquantity.py' can be created by running 'mia-2deval-transformquantity --help-xml >/build/mia-A9U4XL/mia-2.4.6/obj-x86_64-linux-gnu/src/mia_2deval_transformquantity.py'

from nipype.interfaces.base import (
        TraitedSpec,
        CommandLineInputSpec,
        CommandLine,
        File,
        traits
    )
import os
#
# Input specification
#
class mia_2deval_transformquantity_InputSpec(CommandLineInputSpec):
	in_file = traits.File( desc="""input point set, if this parameter is given a sparse evaluation of the quantity will be done, otherwise the quantity is evaluated for each grid point of the transformation range.""", argstr="--in-file %s", exists=True , mandatory = True )
	transformation = traits.File( desc="""transformation of which the quantity will be evaluated.""", argstr="--transformation %s", exists=True , mandatory = True )
	quantity = traits.Enum("derivative", "strain",  desc="""Specify the quantity to be evaluated at the given points""", argstr="--quantity %s" )
	verbose = traits.Enum("info", "trace", "fail", "warning", "error", "debug", "message", "fatal",  desc="""verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:""", argstr="--verbose %s" )
	threads = traits.Int( desc="""Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).""", argstr="--threads %d" )
	out_file = File(desc="output strains file, for a format description see above.", argstr="--out-file %s" , mandatory = True )

#
# Output specification
#
class mia_2deval_transformquantity_OutputSpec(TraitedSpec):
	out_file = File(desc="output strains file, for a format description see above.", exists = True )


#
# Task class specification
#
class mia_2deval_transformquantity(CommandLine):
	input_spec = mia_2deval_transformquantity_InputSpec
	output_spec = mia_2deval_transformquantity_OutputSpec
	_cmd = "mia-2deval-transformquantity"

	def _list_outputs(self):
		outputs = self.output_spec().get()
		outputs['out_file']=os.path.abspath(self.inputs.out_file)
		return outputs

#
# Main function used for testing
#
if __name__ == "__main__":
	mia_prog = mia_2deval_transformquantity()
	print( mia_prog.cmdline)
