# This file was generated by running 'miaxml2nipype.py /build/mia-A9U4XL/mia-2.4.6/obj-x86_64-linux-gnu/doc/mia-2dimagefilter.xml /build/mia-A9U4XL/mia-2.4.6/obj-x86_64-linux-gnu/src/mia_2dimagefilter.py'
# '/build/mia-A9U4XL/mia-2.4.6/obj-x86_64-linux-gnu/src/mia_2dimagefilter.py' can be created by running 'mia-2dimagefilter --help-xml >/build/mia-A9U4XL/mia-2.4.6/obj-x86_64-linux-gnu/src/mia_2dimagefilter.py'

from nipype.interfaces.base import (
        TraitedSpec,
        CommandLineInputSpec,
        CommandLine,
        File,
        traits
    )
import os
#
# Input specification
#
class mia_2dimagefilter_InputSpec(CommandLineInputSpec):
	in_file = traits.File( desc="""input image(s) to be filtered""", argstr="--in-file %s", exists=True , mandatory = True )
	verbose = traits.Enum("info", "trace", "fail", "warning", "error", "debug", "message", "fatal",  desc="""verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:""", argstr="--verbose %s" )
	threads = traits.Int( desc="""Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).""", argstr="--threads %d" )
	out_file = File(desc="output image(s) that have been filtered", argstr="--out-file %s" , mandatory = True )
	free_params = traits.ListStr(desc="Plug-in specifications of type 2dimage/filter", argstr="%s")
#
# Output specification
#
class mia_2dimagefilter_OutputSpec(TraitedSpec):
	out_file = File(desc="output image(s) that have been filtered", exists = True )


#
# Task class specification
#
class mia_2dimagefilter(CommandLine):
	input_spec = mia_2dimagefilter_InputSpec
	output_spec = mia_2dimagefilter_OutputSpec
	_cmd = "mia-2dimagefilter"

	def _list_outputs(self):
		outputs = self.output_spec().get()
		outputs['out_file']=os.path.abspath(self.inputs.out_file)
		return outputs

#
# Main function used for testing
#
if __name__ == "__main__":
	mia_prog = mia_2dimagefilter()
	print( mia_prog.cmdline)
