# This file was generated by running 'miaxml2nipype.py /build/mia-A9U4XL/mia-2.4.6/obj-x86_64-linux-gnu/doc/mia-2dmyocard-segment.xml /build/mia-A9U4XL/mia-2.4.6/obj-x86_64-linux-gnu/src/mia_2dmyocard_segment.py'
# '/build/mia-A9U4XL/mia-2.4.6/obj-x86_64-linux-gnu/src/mia_2dmyocard_segment.py' can be created by running 'mia-2dmyocard-segment --help-xml >/build/mia-A9U4XL/mia-2.4.6/obj-x86_64-linux-gnu/src/mia_2dmyocard_segment.py'

from nipype.interfaces.base import (
        TraitedSpec,
        CommandLineInputSpec,
        CommandLine,
        File,
        traits
    )
import os
#
# Input specification
#
class mia_2dmyocard_segment_InputSpec(CommandLineInputSpec):
	in_file = traits.File( desc="""input perfusion data set""", argstr="--in-file %s", exists=True , mandatory = True )
	verbose = traits.Enum("info", "trace", "fail", "warning", "error", "debug", "message", "fatal",  desc="""verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:""", argstr="--verbose %s" )
	fastica = traits.String( desc="""FastICA implementationto be used""", argstr="--fastica %s" )
	components = traits.Int( desc="""ICA components 0 = automatic estimation testing 4 and 5""", argstr="--components %d" )
	normalize = traits.Bool( desc="""normalized ICs""", argstr="--normalize" )
	no_meanstrip = traits.Bool( desc="""don't strip the mean from the mixing curves""", argstr="--no-meanstrip" )
	skip = traits.Int( desc="""skip images at the beginning of the series as they are of other modalities""", argstr="--skip %d" )
	max_ica_iter = traits.Int( desc="""maximum number of iterations in ICA""", argstr="--max-ica-iter %d" )
	threads = traits.Int( desc="""Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).""", argstr="--threads %d" )
	out_file = File(desc="output myocardial mask", argstr="--out-file %s" , mandatory = True )
	save_features = File(desc="save ICA features to files with this name base", argstr="--save-features %s" )

#
# Output specification
#
class mia_2dmyocard_segment_OutputSpec(TraitedSpec):
	out_file = File(desc="output myocardial mask", exists = True )
	save_features = File(desc="save ICA features to files with this name base")


#
# Task class specification
#
class mia_2dmyocard_segment(CommandLine):
	input_spec = mia_2dmyocard_segment_InputSpec
	output_spec = mia_2dmyocard_segment_OutputSpec
	_cmd = "mia-2dmyocard-segment"

	def _list_outputs(self):
		outputs = self.output_spec().get()
		outputs['out_file']=os.path.abspath(self.inputs.out_file)
		outputs['save_features']=os.path.abspath(self.inputs.save_features)
		return outputs

#
# Main function used for testing
#
if __name__ == "__main__":
	mia_prog = mia_2dmyocard_segment()
	print( mia_prog.cmdline)
