# This file was generated by running 'miaxml2nipype.py /build/mia-A9U4XL/mia-2.4.6/obj-x86_64-linux-gnu/doc/mia-2dsegment-local-cmeans.xml /build/mia-A9U4XL/mia-2.4.6/obj-x86_64-linux-gnu/src/mia_2dsegment_local_cmeans.py'
# '/build/mia-A9U4XL/mia-2.4.6/obj-x86_64-linux-gnu/src/mia_2dsegment_local_cmeans.py' can be created by running 'mia-2dsegment-local-cmeans --help-xml >/build/mia-A9U4XL/mia-2.4.6/obj-x86_64-linux-gnu/src/mia_2dsegment_local_cmeans.py'

from nipype.interfaces.base import (
        TraitedSpec,
        CommandLineInputSpec,
        CommandLine,
        File,
        traits
    )
import os
#
# Input specification
#
class mia_2dsegment_local_cmeans_InputSpec(CommandLineInputSpec):
	in_file = traits.File( desc="""image to be segmented""", argstr="--in-file %s", exists=True , mandatory = True )
	verbose = traits.Enum("info", "trace", "fail", "warning", "error", "debug", "message", "fatal",  desc="""verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:""", argstr="--verbose %s" )
	grid_spacing = traits.Int( desc="""Spacing of the grid used to modulate the intensity inhomogeneities""", argstr="--grid-spacing %d" )
	cmeans = traits.String( desc="""c-means initializer""", argstr="--cmeans %s" )
	c_means_epsilon = traits.Float( desc="""c-means breaking condition for update tolerance""", argstr="--c-means-epsilon %f" )
	relative_cluster_threshold = traits.Float( desc="""threshhold to ignore classes when initializing the local cmeans from the global one.""", argstr="--relative-cluster-threshold %f" )
	threads = traits.Int( desc="""Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).""", argstr="--threads %d" )
	out_file = File(desc="class label image based on merging local labels", argstr="--out-file %s" )
	out_global_crisp = File(desc="class label image based on global segmentation", argstr="--out-global-crisp %s" )
	class_prob = File(desc="class probability image file, filetype must support floating point multi-frame images", argstr="--class-prob %s" )

#
# Output specification
#
class mia_2dsegment_local_cmeans_OutputSpec(TraitedSpec):
	out_file = File(desc="class label image based on merging local labels")
	out_global_crisp = File(desc="class label image based on global segmentation")
	class_prob = File(desc="class probability image file, filetype must support floating point multi-frame images")


#
# Task class specification
#
class mia_2dsegment_local_cmeans(CommandLine):
	input_spec = mia_2dsegment_local_cmeans_InputSpec
	output_spec = mia_2dsegment_local_cmeans_OutputSpec
	_cmd = "mia-2dsegment-local-cmeans"

	def _list_outputs(self):
		outputs = self.output_spec().get()
		outputs['out_file']=os.path.abspath(self.inputs.out_file)
		outputs['out_global_crisp']=os.path.abspath(self.inputs.out_global_crisp)
		outputs['class_prob']=os.path.abspath(self.inputs.class_prob)
		return outputs

#
# Main function used for testing
#
if __name__ == "__main__":
	mia_prog = mia_2dsegment_local_cmeans()
	print( mia_prog.cmdline)
