# This file was generated by running 'miaxml2nipype.py /build/mia-A9U4XL/mia-2.4.6/obj-x86_64-linux-gnu/doc/mia-2dseriescorr.xml /build/mia-A9U4XL/mia-2.4.6/obj-x86_64-linux-gnu/src/mia_2dseriescorr.py'
# '/build/mia-A9U4XL/mia-2.4.6/obj-x86_64-linux-gnu/src/mia_2dseriescorr.py' can be created by running 'mia-2dseriescorr --help-xml >/build/mia-A9U4XL/mia-2.4.6/obj-x86_64-linux-gnu/src/mia_2dseriescorr.py'

from nipype.interfaces.base import (
        TraitedSpec,
        CommandLineInputSpec,
        CommandLine,
        File,
        traits
    )
import os
#
# Input specification
#
class mia_2dseriescorr_InputSpec(CommandLineInputSpec):
	in_base = traits.File( desc="""input file name base""", argstr="--in-base %s", exists=True , mandatory = True )
	skip = traits.Int( desc="""skip images at beginning of series""", argstr="--skip %d" )
	end = traits.Int( desc="""last image in series""", argstr="--end %d" )
	verbose = traits.Enum("info", "trace", "fail", "warning", "error", "debug", "message", "fatal",  desc="""verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:""", argstr="--verbose %s" )
	threads = traits.Int( desc="""Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).""", argstr="--threads %d" )
	outname = File(desc="output file name to save the avarage per-pixel correlation", argstr="--outname %s" , mandatory = True )
	horizontal = File(desc="horiZontal correlation output file name", argstr="--horizontal %s" )
	vertical = File(desc="verTical  correlation output file name", argstr="--vertical %s" )

#
# Output specification
#
class mia_2dseriescorr_OutputSpec(TraitedSpec):
	outname = File(desc="output file name to save the avarage per-pixel correlation", exists = True )
	horizontal = File(desc="horiZontal correlation output file name")
	vertical = File(desc="verTical  correlation output file name")


#
# Task class specification
#
class mia_2dseriescorr(CommandLine):
	input_spec = mia_2dseriescorr_InputSpec
	output_spec = mia_2dseriescorr_OutputSpec
	_cmd = "mia-2dseriescorr"

	def _list_outputs(self):
		outputs = self.output_spec().get()
		outputs['outname']=os.path.abspath(self.inputs.outname)
		outputs['horizontal']=os.path.abspath(self.inputs.horizontal)
		outputs['vertical']=os.path.abspath(self.inputs.vertical)
		return outputs

#
# Main function used for testing
#
if __name__ == "__main__":
	mia_prog = mia_2dseriescorr()
	print( mia_prog.cmdline)
