# This file was generated by running 'miaxml2nipype.py /build/mia-A9U4XL/mia-2.4.6/obj-x86_64-linux-gnu/doc/mia-3dfluid.xml /build/mia-A9U4XL/mia-2.4.6/obj-x86_64-linux-gnu/src/fluid3d/mia_3dfluid.py'
# '/build/mia-A9U4XL/mia-2.4.6/obj-x86_64-linux-gnu/src/fluid3d/mia_3dfluid.py' can be created by running 'mia-3dfluid --help-xml >/build/mia-A9U4XL/mia-2.4.6/obj-x86_64-linux-gnu/src/fluid3d/mia_3dfluid.py'

from nipype.interfaces.base import (
        TraitedSpec,
        CommandLineInputSpec,
        CommandLine,
        File,
        traits
    )
import os
#
# Input specification
#
class mia_3dfluid_InputSpec(CommandLineInputSpec):
	in_image = traits.File( desc="""input image""", argstr="--in-image %s", exists=True , mandatory = True )
	ref_image = traits.File( desc="""reference image """, argstr="--ref-image %s", exists=True , mandatory = True )
	verbose = traits.Enum("info", "trace", "fail", "warning", "error", "debug", "message", "fatal",  desc="""verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:""", argstr="--verbose %s" )
	threads = traits.Int( desc="""Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).""", argstr="--threads %d" )
	disable_multigrid = traits.Bool( desc="""disable multi-grid processing""", argstr="--disable-multigrid" )
	disable_fullres = traits.Bool( desc="""disable processing on the full resolution image""", argstr="--disable-fullres" )
	lambda_ = traits.Float( desc="""elasticy constant""", argstr="--lambda %f" )
	mu = traits.Float( desc="""elasticy constant""", argstr="--mu %f" )
	start_size = traits.Int( desc="""initial multigrided size""", argstr="--start-size %d" )
	method = traits.Enum("sor", "sora",  desc="""method for solving PDE""", argstr="--method %s" )
	step = traits.Float( desc="""Initial stepsize""", argstr="--step %f" )
	interpolator = traits.String( desc="""image interpolator kernel""", argstr="--interpolator %s" )
	relax = traits.Float( desc="""overrelaxation factor vor method sor""", argstr="--relax %f" )
	maxiter = traits.Int( desc="""maximum iterations""", argstr="--maxiter %d" )
	epsilon = traits.Float( desc="""truncation condition""", argstr="--epsilon %f" )
	matter = traits.Float( desc="""intensity above which real matter is assumed (experimental)""", argstr="--matter %f" )
	out_transformation = File(desc="output transformation comprising the registering transformation field", argstr="--out-transformation %s" , mandatory = True )
	out_image = File(desc="save deformed image", argstr="--out-image %s" )

#
# Output specification
#
class mia_3dfluid_OutputSpec(TraitedSpec):
	out_transformation = File(desc="output transformation comprising the registering transformation field", exists = True )
	out_image = File(desc="save deformed image")


#
# Task class specification
#
class mia_3dfluid(CommandLine):
	input_spec = mia_3dfluid_InputSpec
	output_spec = mia_3dfluid_OutputSpec
	_cmd = "mia-3dfluid"

	def _list_outputs(self):
		outputs = self.output_spec().get()
		outputs['out_transformation']=os.path.abspath(self.inputs.out_transformation)
		outputs['out_image']=os.path.abspath(self.inputs.out_image)
		return outputs

#
# Main function used for testing
#
if __name__ == "__main__":
	mia_prog = mia_3dfluid()
	print( mia_prog.cmdline)
