# This file was generated by running 'miaxml2nipype.py /build/mia-A9U4XL/mia-2.4.6/obj-x86_64-linux-gnu/doc/mia-3dlerp.xml /build/mia-A9U4XL/mia-2.4.6/obj-x86_64-linux-gnu/src/mia_3dlerp.py'
# '/build/mia-A9U4XL/mia-2.4.6/obj-x86_64-linux-gnu/src/mia_3dlerp.py' can be created by running 'mia-3dlerp --help-xml >/build/mia-A9U4XL/mia-2.4.6/obj-x86_64-linux-gnu/src/mia_3dlerp.py'

from nipype.interfaces.base import (
        TraitedSpec,
        CommandLineInputSpec,
        CommandLine,
        File,
        traits
    )
import os
#
# Input specification
#
class mia_3dlerp_InputSpec(CommandLineInputSpec):
	first = traits.File( desc="""first input image """, argstr="--first %s", exists=True , mandatory = True )
	second = traits.File( desc="""second input image """, argstr="--second %s", exists=True , mandatory = True )
	positions = traits.ListFloat( desc="""image series positions (first, target, second)""", argstr="--positions %s", sep=",", mandatory = True )
	verbose = traits.Enum("info", "trace", "fail", "warning", "error", "debug", "message", "fatal",  desc="""verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:""", argstr="--verbose %s" )
	threads = traits.Int( desc="""Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).""", argstr="--threads %d" )
	out_file = File(desc="linearly interpolated image", argstr="--out-file %s" , mandatory = True )

#
# Output specification
#
class mia_3dlerp_OutputSpec(TraitedSpec):
	out_file = File(desc="linearly interpolated image", exists = True )


#
# Task class specification
#
class mia_3dlerp(CommandLine):
	input_spec = mia_3dlerp_InputSpec
	output_spec = mia_3dlerp_OutputSpec
	_cmd = "mia-3dlerp"

	def _list_outputs(self):
		outputs = self.output_spec().get()
		outputs['out_file']=os.path.abspath(self.inputs.out_file)
		return outputs

#
# Main function used for testing
#
if __name__ == "__main__":
	mia_prog = mia_3dlerp()
	print( mia_prog.cmdline)
