# This file was generated by running 'miaxml2nipype.py /build/mia-A9U4XL/mia-2.4.6/obj-x86_64-linux-gnu/doc/mia-3dprealign-nonrigid.xml /build/mia-A9U4XL/mia-2.4.6/obj-x86_64-linux-gnu/src/mia_3dprealign_nonrigid.py'
# '/build/mia-A9U4XL/mia-2.4.6/obj-x86_64-linux-gnu/src/mia_3dprealign_nonrigid.py' can be created by running 'mia-3dprealign-nonrigid --help-xml >/build/mia-A9U4XL/mia-2.4.6/obj-x86_64-linux-gnu/src/mia_3dprealign_nonrigid.py'

from nipype.interfaces.base import (
        TraitedSpec,
        CommandLineInputSpec,
        CommandLine,
        File,
        traits
    )
import os
#
# Input specification
#
class mia_3dprealign_nonrigid_InputSpec(CommandLineInputSpec):
	in_file = traits.File( desc="""input images following the naming pattern nameXXXX.ext""", argstr="--in-file %s", exists=True , mandatory = True )
	save_references = traits.Bool( desc="""Save synthetic references to files refXXXX.v""", argstr="--save-references" )
	skip = traits.Int( desc="""Skip images at the begin of the series""", argstr="--skip %d" )
	preskip = traits.Int( desc="""Skip images at the beginning+skip of the series when searching for high contrats image""", argstr="--preskip %d" )
	postskip = traits.Int( desc="""Skip images at the end of the series when searching for high contrats image""", argstr="--postskip %d" )
	max_candidates = traits.Int( desc="""maximum number of candidates for global reference image""", argstr="--max-candidates %d" )
	cost_series = traits.String( desc="""Const function to use for the analysis of the series""", argstr="--cost-series %s" )
	ref_idx = traits.String( desc="""save reference index number to this file""", argstr="--ref-idx %s" )
	global_reference = traits.Int( desc="""save reference index number to this file""", argstr="--global-reference %d" )
	max_subset_delta = traits.Int( desc="""Maximum delta between two elements of the prealigned subset""", argstr="--max-subset-delta %d" )
	optimizer = traits.String( desc="""Optimizer used for minimization""", argstr="--optimizer %s" )
	mr_levels = traits.Int( desc="""multi-resolution levels""", argstr="--mr-levels %d" )
	transForm = traits.String( desc="""transformation type""", argstr="--transForm %s" )
	cost_subset = traits.String( desc="""Cost function for registration during the subset registration""", argstr="--cost-subset %s" )
	cost_final = traits.String( desc="""Cost function for registration during the final registration""", argstr="--cost-final %s" )
	verbose = traits.Enum("info", "trace", "fail", "warning", "error", "debug", "message", "fatal",  desc="""verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:""", argstr="--verbose %s" )
	threads = traits.Int( desc="""Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).""", argstr="--threads %d" )
	out_file = File(desc="file name base for registered files given as C-format string", argstr="--out-file %s" , mandatory = True )

#
# Output specification
#
class mia_3dprealign_nonrigid_OutputSpec(TraitedSpec):
	out_file = File(desc="file name base for registered files given as C-format string", exists = True )


#
# Task class specification
#
class mia_3dprealign_nonrigid(CommandLine):
	input_spec = mia_3dprealign_nonrigid_InputSpec
	output_spec = mia_3dprealign_nonrigid_OutputSpec
	_cmd = "mia-3dprealign-nonrigid"

	def _list_outputs(self):
		outputs = self.output_spec().get()
		outputs['out_file']=os.path.abspath(self.inputs.out_file)
		return outputs

#
# Main function used for testing
#
if __name__ == "__main__":
	mia_prog = mia_3dprealign_nonrigid()
	print( mia_prog.cmdline)
