# This file was generated by running 'miaxml2nipype.py /build/mia-A9U4XL/mia-2.4.6/obj-x86_64-linux-gnu/doc/mia-3dvectorfieldcreate.xml /build/mia-A9U4XL/mia-2.4.6/obj-x86_64-linux-gnu/src/mia_3dvectorfieldcreate.py'
# '/build/mia-A9U4XL/mia-2.4.6/obj-x86_64-linux-gnu/src/mia_3dvectorfieldcreate.py' can be created by running 'mia-3dvectorfieldcreate --help-xml >/build/mia-A9U4XL/mia-2.4.6/obj-x86_64-linux-gnu/src/mia_3dvectorfieldcreate.py'

from nipype.interfaces.base import (
        TraitedSpec,
        CommandLineInputSpec,
        CommandLine,
        File,
        traits
    )
import os
#
# Input specification
#
class mia_3dvectorfieldcreate_InputSpec(CommandLineInputSpec):
	size = traits.ListInt( desc="""size of the vector field""", argstr="--size %s", sep=",")
	ftype = traits.Int( desc="""vector field type""", argstr="--ftype %d" )
	fun = traits.Float( desc="""just some parameter to vary the field ;-)""", argstr="--fun %f" )
	verbose = traits.Enum("info", "trace", "fail", "warning", "error", "debug", "message", "fatal",  desc="""verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:""", argstr="--verbose %s" )
	threads = traits.Int( desc="""Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).""", argstr="--threads %d" )
	out_file = File(desc="output file for the vector field", argstr="--out-file %s" , mandatory = True )

#
# Output specification
#
class mia_3dvectorfieldcreate_OutputSpec(TraitedSpec):
	out_file = File(desc="output file for the vector field", exists = True )


#
# Task class specification
#
class mia_3dvectorfieldcreate(CommandLine):
	input_spec = mia_3dvectorfieldcreate_InputSpec
	output_spec = mia_3dvectorfieldcreate_OutputSpec
	_cmd = "mia-3dvectorfieldcreate"

	def _list_outputs(self):
		outputs = self.output_spec().get()
		outputs['out_file']=os.path.abspath(self.inputs.out_file)
		return outputs

#
# Main function used for testing
#
if __name__ == "__main__":
	mia_prog = mia_3dvectorfieldcreate()
	print( mia_prog.cmdline)
