# This file was generated by running 'miaxml2nipype.py /build/mia-A9U4XL/mia-2.4.6/obj-x86_64-linux-gnu/doc/mia-cmeans.xml /build/mia-A9U4XL/mia-2.4.6/obj-x86_64-linux-gnu/src/mia_cmeans.py'
# '/build/mia-A9U4XL/mia-2.4.6/obj-x86_64-linux-gnu/src/mia_cmeans.py' can be created by running 'mia-cmeans --help-xml >/build/mia-A9U4XL/mia-2.4.6/obj-x86_64-linux-gnu/src/mia_cmeans.py'

from nipype.interfaces.base import (
        TraitedSpec,
        CommandLineInputSpec,
        CommandLine,
        File,
        traits
    )
import os
#
# Input specification
#
class mia_cmeans_InputSpec(CommandLineInputSpec):
	in_file = traits.File( desc="""input file name containing the histogram""", argstr="--in-file %s", exists=True , mandatory = True )
	nclasses = traits.Int( desc="""number of classes to partition into""", argstr="--nclasses %d" )
	max_iter = traits.Int( desc="""maximum number of iterations""", argstr="--max-iter %d" )
	even_start = traits.Bool( desc="""start with centers evenly distributed over the histogram""", argstr="--even-start" )
	class_centers = traits.ListFloat( desc="""initial class centers""", argstr="--class-centers %s", sep=",")
	auto = traits.Bool( desc="""atomatic adaption of variance (experimental)""", argstr="--auto" )
	cut_histo = traits.Bool( desc="""cut empty histogram at the end """, argstr="--cut-histo" )
	variance = traits.Float( desc="""variance parameter""", argstr="--variance %f" )
	self_test = traits.Bool( desc="""run self test""", argstr="--self-test" )
	verbose = traits.Enum("info", "trace", "fail", "warning", "error", "debug", "message", "fatal",  desc="""verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:""", argstr="--verbose %s" )
	threads = traits.Int( desc="""Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).""", argstr="--threads %d" )
	out_file = File(desc="output file name to store probabilities", argstr="--out-file %s" , mandatory = True )

#
# Output specification
#
class mia_cmeans_OutputSpec(TraitedSpec):
	out_file = File(desc="output file name to store probabilities", exists = True )


#
# Task class specification
#
class mia_cmeans(CommandLine):
	input_spec = mia_cmeans_InputSpec
	output_spec = mia_cmeans_OutputSpec
	_cmd = "mia-cmeans"

	def _list_outputs(self):
		outputs = self.output_spec().get()
		outputs['out_file']=os.path.abspath(self.inputs.out_file)
		return outputs

#
# Main function used for testing
#
if __name__ == "__main__":
	mia_prog = mia_cmeans()
	print( mia_prog.cmdline)
