# This file was generated by running 'miaxml2nipype.py /build/mia-A9U4XL/mia-2.4.6/obj-x86_64-linux-gnu/doc/mia-raw2volume.xml /build/mia-A9U4XL/mia-2.4.6/obj-x86_64-linux-gnu/src/mia_raw2volume.py'
# '/build/mia-A9U4XL/mia-2.4.6/obj-x86_64-linux-gnu/src/mia_raw2volume.py' can be created by running 'mia-raw2volume --help-xml >/build/mia-A9U4XL/mia-2.4.6/obj-x86_64-linux-gnu/src/mia_raw2volume.py'

from nipype.interfaces.base import (
        TraitedSpec,
        CommandLineInputSpec,
        CommandLine,
        File,
        traits
    )
import os
#
# Input specification
#
class mia_raw2volume_InputSpec(CommandLineInputSpec):
	in_file = traits.File( desc="""input file name""", argstr="--in-file %s", exists=True , mandatory = True )
	repn = traits.Enum("none", "float", "sbyte", "ulong", "double", "sint", "ushort", "sshort", "uint", "slong", "bit", "ubyte",  desc="""input pixel type """, argstr="--repn %s" )
	big_endian = traits.Bool( desc="""input data is big endian""", argstr="--big-endian" )
	scale = traits.ListFloat( desc="""scale of input voxels <FX,FY,FZ>""", argstr="--scale %s", sep=",")
	skip = traits.Int( desc="""skip number of bytes from beginning of file""", argstr="--skip %d" )
	size = traits.ListInt( desc="""size of input <NX,NY,NZ>""", argstr="--size %s", sep=",", mandatory = True )
	verbose = traits.Enum("info", "trace", "fail", "warning", "error", "debug", "message", "fatal",  desc="""verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:""", argstr="--verbose %s" )
	threads = traits.Int( desc="""Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).""", argstr="--threads %d" )
	out_file = File(desc="output file name", argstr="--out-file %s" , mandatory = True )

#
# Output specification
#
class mia_raw2volume_OutputSpec(TraitedSpec):
	out_file = File(desc="output file name", exists = True )


#
# Task class specification
#
class mia_raw2volume(CommandLine):
	input_spec = mia_raw2volume_InputSpec
	output_spec = mia_raw2volume_OutputSpec
	_cmd = "mia-raw2volume"

	def _list_outputs(self):
		outputs = self.output_spec().get()
		outputs['out_file']=os.path.abspath(self.inputs.out_file)
		return outputs

#
# Main function used for testing
#
if __name__ == "__main__":
	mia_prog = mia_raw2volume()
	print( mia_prog.cmdline)
